package com.storlead.framework.web.exception;

import com.storlead.framework.web.message.MsgCode;
import com.storlead.framework.web.message.TopMsgCode;

public class WebException extends TopException {
    private static final long serialVersionUID = 817967677050311278L;

    public WebException(String message) {
        this(TopMsgCode.WEB_ERROR, message);
    }

    public WebException(MsgCode code, String message) {
        super(code, message);
    }

    public WebException(String message, Throwable cause) {
        this(TopMsgCode.WEB_ERROR, message, cause);
    }

    public WebException(MsgCode code, String message, Throwable cause) {
        super(code, message, cause);
    }

    public WebException(MsgCode code) {
        super(code);
    }

    public WebException(MsgCode code, Throwable cause) {
        super(code, cause);
    }
}

